Bug 245277 - vgscan segmentation fault
Summary: vgscan segmentation fault
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: lvm2   
(Show other bugs)
Version: 7
Hardware: i386
OS: Linux
low
high
Target Milestone: ---
Assignee: Milan Broz
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-06-22 02:47 UTC by srinivas varadaraj
Modified: 2013-03-01 04:05 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-07-19 17:59:34 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description srinivas varadaraj 2007-06-22 02:47:47 UTC
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:

upgrade fc6 to fc7
update all packages with yum -y update
try mounting previously working lvm drives which are setup over software raids
md0 and md1
vgscan results in a crash. No logical volume is avaliable under /dev/<logical
volume>

however vgchange -a y shows the volume as enabled and lvm.static also detects
and shows the volume.
-sri

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Alasdair Kergon 2007-07-02 02:59:38 UTC
This one got the wrong default assignments too.

What's supposed to happen for the QA contact now?  It only permits one email
address in that field!

Maybe some of the old QA contacts should be added to the initial cc lists as
part of fixing the merge breakage.

Another item for the post-implementation review.

Comment 2 Milan Broz 2007-07-02 07:59:02 UTC
Please could you provide system info - run lvmdump and attach created tar to
this bugzilla.

If not possible, please paste here output of "lvm version" and "dmsetup table"
commands, thanks.


Comment 3 Milan Broz 2007-07-19 17:59:34 UTC
I think this should be fixed in 2.02.27 lvm2 rpm, if not, please reopen this bug
and attach requested info, thanks.


Note You need to log in before you can comment on or make changes to this bug.